# VeRTCVirtualSoundCard

## Abstract
VeRTCVirtualSoundCard is a modern MacOS virtual audio driver that allows applications to pass audio to other applications with zero additional latency.

## Features

The audio device provides the following features:

    1. Configurable device primary volume, muting, and data sources 44.1 kHz and 48 kHz sample rates
    
    2. Two channels of audio I/O in 32-bit, floating point, linear PCM format


## Installation Instructions

    Install the sample’s VeRTCVirtualSoundCard.driver bundle to /Library/Audio/Plug-Ins/HAL and restart CoreAudio. Use Audio MIDI Setup to inspect the newly installed device. The terminal command:
    
    1. sudo cp -R <the download path>/VeRTCVirtualSoundCard.driver /Library/Audio/Plug-Ins/HAL
    
    2. sudo launchctl kickstart -kp system/com.apple.audio.coreaudiod

## Uninstallation Instructions

    1. Delete the VeRTCVirtualSoundCard driver with the terminal command:

    rm -R /Library/Audio/Plug-Ins/HAL/VeRTCVirtualSoundCard.driver

    Note that the directory is the root /Library not /Users/user/Library.

    2. Restart CoreAudio with the terminal command:

    sudo launchctl kickstart -kp system/com.apple.audio.coreaudiod
